summaryrefslogtreecommitdiff
path: root/tests/mv/into-self-2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/into-self-2')
-rwxr-xr-xtests/mv/into-self-276
1 files changed, 76 insertions, 0 deletions
diff --git a/tests/mv/into-self-2 b/tests/mv/into-self-2
new file mode 100755
index 0000000..11fddf2
--- /dev/null
+++ b/tests/mv/into-self-2
@@ -0,0 +1,76 @@
+#!/bin/sh
+# Force mv to use the copying code.
+# Consider the case where SRC and DEST are on different
+# partitions and DEST is a symlink to SRC.
+
+# Copyright (C) 1998, 1999, 200 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+. $srcdir/../other-fs-tmpdir
+. $srcdir/../envvar-check
+
+if test -z "$other_partition_tmpdir"; then
+ exit 77
+fi
+
+file="$other_partition_tmpdir/file"
+symlink=symlink
+
+fail=0
+
+trap 'rm -fr out out2 exp $file $symlink $other_partition_tmpdir; exit $fail' \
+ 0 1 2 3 15
+
+framework_failure=0
+rm -f $file $symlink || framework_failure=1
+echo whatever > $file || framework_failure=1
+ln -s $file $symlink || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+# Make sure we get English translations.
+. $srcdir/../lang-default
+
+# This mv command should exit nonzero.
+mv $symlink $file > out 2>&1 && fail=1
+
+# This should succeed.
+mv $file $symlink || fail=1
+
+sed \
+ -e "s,mv:,XXX:," \
+ -e "s,$file,YYY," \
+ -e "s,$symlink,ZZZ," \
+ out > out2
+
+cat > exp <<\EOF
+XXX: `ZZZ' and `YYY' are the same file
+EOF
+#'
+
+cmp out2 exp || fail=1
+test $fail = 1 && diff out2 exp 2> /dev/null
+
+exit $fail